import React from "react";
import Sidebar from "../Sidebar";
import s from "./styles.module.scss";

interface Props {
  children: React.ReactNode;
}

const PageWithSidebar: React.FC<Props> = ({ children }) => {
  return (
    <div className={s.body}>
      <Sidebar />
      <div className={s.workspaceArea}>
        <div className={s.content}>{children}</div>
      </div>
    </div>
  );
};

export default PageWithSidebar;
