import React from "react";
import { Button, Space} from "antd";
import { FormType } from "../interfaces";

export interface IntroProps {
  onSelect: (value: FormType) => void;
}

const Intro = ({ onSelect }: IntroProps) => {
  return (
    <div>
      Issuing JSON-LD Verifiable Credentials for a Participant.
      <br />
      <br />
      Select a method to create your JSON-LD document:
      <br />
      <br />
      <Space>
        <Button onClick={() => onSelect("privatePerson")}>
          Private Person
        </Button>
        <Button onClick={() => onSelect("legalParticipant")}>
          Legal Participant
        </Button>
        <Button onClick={() => onSelect("custom")}>
          Custom JSON-LD document
        </Button>
      </Space>
    </div>
  );
};

export default Intro;
