import React, { useEffect } from "react";
import { observer } from "mobx-react";
import Modal, { FcProps } from "@dashboard/components/Modal";
import JsonDetails from "@dashboard/components/JsonDetails";

export interface ViewJsonDialogProps {
  title?: string;
  data: unknown;
}

const ViewJsonDialog = observer(
  ({ setTitle, setWidth, onClose, data }: FcProps<ViewJsonDialogProps>) => {
    useEffect(() => {
      setWidth("80%");
      setTitle(data.title || "JSON");
    }, [setWidth, setTitle, data]);

    return (
      <Modal.Body>
        <JsonDetails object={data.data} />
      </Modal.Body>
    );
  },
);

export default ViewJsonDialog;
