import React, { useEffect, useState } from "react";
import { observer } from "mobx-react";
import { Spin } from "antd";
import CreatedInvitationListPageStore from "./CreatedInvitationListPageStore";
import NoRecordsMessage from "@dashboard/components/NoRecordsMessage";
import PageWithSidebar from "@dashboard/components/PageWithSidebar";
import PageTitle from "@dashboard/components/PageTitle";
import CreatedInvitationItem from "@dashboard/components/CreatedInvitationItem";

const CreatedInvitationListPage = observer(() => {
  const [store] = useState(() => new CreatedInvitationListPageStore());

  useEffect(() => {
    store.getAll();
  }, [store]);

  return (
    <PageWithSidebar>
      <PageTitle>Created Invitations</PageTitle>
      <div>
        {store.list.map((p) => (
          <CreatedInvitationItem key={p.did} item={p} />
        ))}
        {!store.loading && store.list.length === 0 && <NoRecordsMessage />}
        {store.loading && <Spin />}
      </div>
    </PageWithSidebar>
  );
});

export default CreatedInvitationListPage;
