import React from "react";
import { observer } from "mobx-react";
import Page from "@dashboard/components/Page";
import VaultHeader from "@dashboard/components/VaultHeader";
import AuthForm from "./AuthForm";
import s from "./styles.module.scss";

const LoginPage = observer(() => {
  return (
    <Page>
      <VaultHeader hideTry />

      <div className={s.topSpace} />

      <div className={s.info}>
        <div className={s.subTitle}>Secure Login with Your Credentials</div>
        <ul>
          <li>
            <b>For New Users or Credential Recovery:</b>
            <br />
            If you are a new user or need to recover your credentials, please
            contact an administrator. The administrator will provide you with a
            QR code that contains your login data.
          </li>

          <li>
            <b>Trusted Email Verification:</b>
            <br />
            For users with a trusted email address, enter your email below. You
            will receive an email containing a secure link. Following this link
            will redirect you to the app and grant you access.
          </li>

          <li>
            <b>Returning Users with Mobile Credentials:</b>
            <br />
            Open the Mobile App: Launch the mobile app you have previously set
            up.
            <br />
            Scan the QR Code Below: Use the app’s scanner to capture the QR code
            displayed on this page. This step verifies that you hold valid
            credentials from our system.
            <br />
            Confirm and Login: After scanning, the app will request your
            confirmation. Upon confirming, you will be logged into the system
            automatically.
          </li>
        </ul>
        <div>
          We continue to provide a secure and efficient login process. By
          utilizing these methods, we eliminate the need for traditional
          passwords, ensuring your login is both safe and convenient.
        </div>
      </div>

      <AuthForm />
    </Page>
  );
});

export default LoginPage;
