import { makeAutoObservable, runInAction } from "mobx";
import api, { SchemaRecordDto } from "@dashboard/engine-api";
import displayError from "@dashboard/utils/displayError";

class SchemaListPageStore {
  public loading = false;
  public list: SchemaRecordDto[] = [];
  constructor() {
    makeAutoObservable(this);
  }

  public async loadAll() {
    runInAction(() => (this.loading = true));
    try {
      const schemas = await api.fetchSchemas();
      runInAction(() => {
        this.list = schemas;
        this.loading = false;
      });
    } catch (e: unknown) {
      displayError(e);
      runInAction(() => (this.loading = false));
    }
  }
}

export type { SchemaListPageStore };

export default SchemaListPageStore;
