import { ApiExtraModels } from "@nestjs/swagger";
import * as dtos from "@ocm-engine/dtos";
import { applyDecorators } from "@nestjs/common";

const IncludeOcmDtos = () => {
  // Filter and get only the classes from the dtos object
  // eslint-disable-next-line @typescript-eslint/ban-types
  const dtoClasses: Function[] = Object.values(dtos).filter(
    (dto) => typeof dto === "function",
    // eslint-disable-next-line @typescript-eslint/ban-types
  ) as Function[];

  return applyDecorators(ApiExtraModels(...dtoClasses));
};

export default IncludeOcmDtos;
