import { ApiInternalServerErrorResponse } from "@nestjs/swagger";
import { applyDecorators } from "@nestjs/common";

const OcmInternalServerErrorResponse = (name: string) => {
  return applyDecorators(
    ApiInternalServerErrorResponse({
      description: `Error in sending data to ${name}. This error shows that ${name} could not convert request to event or ${name} could not send the event to the broker.`,
      content: {
        "application/json": {
          schema: {
            type: "object",
            properties: {
              statusCode: {
                type: "number",
                example: 500,
              },

              message: {
                type: "string",
                example: "connect ECONNREFUSED 0.0.0.0:1234",
              },
            },
          },
        },
      },
    }),
  );
};

export default OcmInternalServerErrorResponse;
